<template>
  <div class="line-chart-diagram">
    <vue-apex-charts
      type="area"
      height="100%"
      :series="series"
      :options="options"
    />
  </div>
</template>

<script lang="ts">
import { Component, Vue, Watch, Prop } from "vue-property-decorator";
import VueApexCharts from "vue-apexcharts";
import _ from "lodash";

@Component({
  components: {
    VueApexCharts
  }
})
export default class LineChart extends Vue {
  @Prop({ required: true }) readonly series: any;
  @Prop({ required: true }) readonly categorys: any;
  @Prop({ required: true, default: () => {} })
  readonly mouseMoveEvent: any;

  get options() {
    return {
      width: 1000,
      theme: {},
      chart: {
        id: "chartTotalCards",
        events: {
          mouseMove: (event: any, chartContext: any, config: any) => {
            this.mouseMoveEvent(config);
          }
        }
      },
      stroke: {
        curve: "straight"
      },
      colors: ["#109CF1", "#f8014b", "#6F5BE0"],
      dataLabels: {
        enabled: false
      },
      tooltip: {
        followCursor: false,
        x: {
          show: false
        },
        marker: {
          show: false
        }
      },
      markers: {
        size: 6,
        hover: {
          size: 8
        }
      },

      grid: {
        clipMarkers: true,
        borderColor: "#a5bfad",
        strokeDashArray: 5,
        position: "back",
        yaxis: {
          lines: {
            show: true
          }
        }
      },
      xaxis: {
        categories: this.categorys,

        tooltip: {
          enabled: false
        }
        //tickAmount: "dataPoints"
      },
      yaxis: {
        min: 0,
        tickAmount: 5,
        forceNiceScale: true
      }
    };
  }
}
</script>
